Skip to main content
GET
Show payout item details

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Path Parameters

payout_item_id
string
required

The ID of the payout item to cancel.

Required string length: 1 - 32
Pattern: ^.*$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body with a payout_item_details object, which contains data about a payout item including the transaction status.

The payout item status and other details. A payout_item_id helps you identify denied payments. If a payment is denied, you can use the payout_item_id to identify the payment even if it lacks a transaction_id.

payout_item_id
string
required

The ID for the payout item. Visible when you show details for a payout.

Maximum string length: 30
Pattern: ^.*$
payout_batch_id
string
required

The PayPal-generated ID for the payout batch.

Maximum string length: 30
Pattern: ^.*$
payout_item
Payout Item Detail · object
required

The sender-provided information for the payout item.

transaction_id
string

The PayPal-generated ID for the transaction.

Maximum string length: 30
Pattern: ^.*$
activity_id
string

The unique PayPal-generated common ID that links the sender- and receiver-side transactions. Used for tracking.

Maximum string length: 30
Pattern: ^.*$
transaction_status
enum<string>

The item transaction status.

Note: For POST/v1/payments/payouts-item/{payout_item_id}/cancel, the only possible transaction_status value is RETURNED.

Available options:
SUCCESS,
FAILED,
PENDING,
UNCLAIMED,
RETURNED,
ONHOLD,
BLOCKED,
REFUNDED,
REVERSED
Required string length: 1 - 36
Pattern: ^[0-9A-Z_]+$
payout_item_fee
Currency · object

The estimate for the payout fee. Initially, the fee is 0. The fee is populated after the item moves to the PENDING state

sender_batch_id
string

A sender-specified ID. Tracks the payout in an accounting system. Should be unique within 30 days.

Maximum string length: 256
Pattern: ^.*$
currency_conversion
Currency conversion resource · object

The currency conversion applicable for this payout item.

time_processed
string<date-time>

The date and time when this item was last processed, in Internet date and time format.

Required string length: 1 - 100
errors
Error · object

The error details.

An array of request-related HATEOAS links.

Maximum array length: 15000